summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-04-29 23:16:57 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-04-29 23:16:57 (GMT)
commitf477be167c84d659e96d1ceb701a50e9ff30e36c (patch)
tree30f138de0b989dfc73d2ebe3822ca3b7234ea73d /abs
parent0c409638c1ced9f3f7e6f1089579534e85f0c400 (diff)
parent2d301f52eae0ece8658eb32168573a336f073999 (diff)
downloadlinhes_pkgbuild-f477be167c84d659e96d1ceb701a50e9ff30e36c.zip
linhes_pkgbuild-f477be167c84d659e96d1ceb701a50e9ff30e36c.tar.gz
linhes_pkgbuild-f477be167c84d659e96d1ceb701a50e9ff30e36c.tar.bz2
Merge branch 'HEAD' of ssh://cesman@knoppmyth.net/mount/repository/LinHES-PKGBUILD
Diffstat (limited to 'abs')
-rw-r--r--abs/core-testing/mythtv/stable/mythflix/PKGBUILD16
-rw-r--r--abs/core-testing/mythtv/stable/mythtv/PKGBUILD2
-rw-r--r--[-rwxr-xr-x]abs/core-testing/mythtv/stable/mythtv/menu-xml/HOST_SETTINGS.xml116
-rw-r--r--abs/core-testing/python-parted/PKGBUILD18
4 files changed, 84 insertions, 68 deletions
diff --git a/abs/core-testing/mythtv/stable/mythflix/PKGBUILD b/abs/core-testing/mythtv/stable/mythflix/PKGBUILD
index b636e30..5423c06 100644
--- a/abs/core-testing/mythtv/stable/mythflix/PKGBUILD
+++ b/abs/core-testing/mythtv/stable/mythflix/PKGBUILD
@@ -3,8 +3,9 @@
# Maintainer: kleptophobiac@gmail.com
pkgname=mythflix
+PLUGIN=$pkgname
pkgver=0.21
-pkgrel=4
+pkgrel=5
pkgdesc="Netflix access plugin for MythTV"
arch=('i686' 'x86_64')
url="http://www.mythtv.org"
@@ -18,15 +19,22 @@ build() {
cd $startdir/src/mythplugins
. /etc/profile.d/qt3.sh
svn update
-
- # use QT3 qmake
+ cd $startdir/src/mythplugins
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ cd -
+ # use QT3 qmake
export PATH=$QTDIR/bin:$PATH
./configure --prefix=/usr --disable-all --enable-opengl --enable-mythflix
qmake mythplugins.pro
make qmake || return 1
# make -j 2 || return 1
- make
+ make || return 1
make INSTALL_ROOT=$startdir/pkg install
}
diff --git a/abs/core-testing/mythtv/stable/mythtv/PKGBUILD b/abs/core-testing/mythtv/stable/mythtv/PKGBUILD
index 49e63d6..5897647 100644
--- a/abs/core-testing/mythtv/stable/mythtv/PKGBUILD
+++ b/abs/core-testing/mythtv/stable/mythtv/PKGBUILD
@@ -1,6 +1,6 @@
pkgname=mythtv
pkgver=0.21
-pkgrel=64
+pkgrel=65
pkgdesc="A Homebrew PVR project"
arch=('i686' 'x86_64')
depends=('bash' 'mysql-clients>=5.0' 'qt3' 'lame' 'lirc-utils' 'ffmpeg' \
diff --git a/abs/core-testing/mythtv/stable/mythtv/menu-xml/HOST_SETTINGS.xml b/abs/core-testing/mythtv/stable/mythtv/menu-xml/HOST_SETTINGS.xml
index 707475d..ac52497 100755..100644
--- a/abs/core-testing/mythtv/stable/mythtv/menu-xml/HOST_SETTINGS.xml
+++ b/abs/core-testing/mythtv/stable/mythtv/menu-xml/HOST_SETTINGS.xml
@@ -1,104 +1,94 @@
<mythmenu name="HOST_SETTINGS">
<button>
- <type>MV_NETWORK_SETUP_MENU</type>
+ <type>MV_NETWORK_SETUP_MENU</type>
<text>Network Settings</text>
<action>EXEC mythinstall -s network </action>
</button>
<button>
- <type>MV_NETWORK_SETUP_MENU</type>
- <text>DDNS setttings</text>
+ <type>MV_NETWORK_SETUP_MENU</type>
+ <text>DDNS Settings</text>
<action>EXEC mythinstall -s ddns </action>
</button>
<button>
- <type>MV_SYSTEM_SETUP_MENU</type>
- <text>System type</text>
- <action>EXEC mythinstall -s hostype </action>
+ <type>MV_SYSTEM_SETUP_MENU</type>
+ <text>System Type</text>
+ <action>EXEC mythinstall -s hostype </action>
</button>
<button>
- <type>MV_SCREENSAVER_SETUP_MENU</type>
- <text>Screensaver</text>
- <action>EXEC mythinstall -s screensaver </action>
- </button>
+ <type>MV_SCREENSAVER_SETUP_MENU</type>
+ <text>Screensaver Settings</text>
+ <action>EXEC mythinstall -s screensaver </action>
+ </button>
<button>
- <type>MV_IR_SETUP_MENU</type>
- <text>Remotes</text>
- <action>EXEC mythinstall -s ir </action>
+ <type>MV_IR_SETUP_MENU</type>
+ <text>Remotes</text>
+ <action>EXEC mythinstall -s ir </action>
</button>
<button>
- <type>MV_MISC_SETUP_MENU</type>
- <text>Misc Settings</text>
- <action>EXEC mythinstall -s misc </action>
+ <type>MV_MISC_SETUP_MENU</type>
+ <text>Miscellanous Settings</text>
+ <action>EXEC mythinstall -s misc </action>
</button>
<button>
- <type>MV_SOFTWARE_MENU</type>
+ <type>MV_SOFTWARE_MENU</type>
<text>Software</text>
- <action>EXEC mythinstall -s plugins </action>
+ <action>EXEC mythinstall -s plugins </action>
</button>
<button>
<type>MV_SHUTDOWN_SETUP_MENU</type>
- <text>Shutdown settings</text>
- <action>EXEC mythinstall -s sleep </action>
+ <text>Shutdown Settings</text>
+ <action>EXEC mythinstall -s sleep </action>
</button>
+ <button>
+ <type>MV_ADVANCED_X_SETUP_MENU</type>
+ <text>Display Settings</text>
+ <action>EXEC mythinstall -s advancedX</action>
+ </button>
-<button>
- <type>MV_ADVANCED_X_SETUP_MENU</type>
- <text>Display</text>
- <action>EXEC mythinstall -s advancedX</action>
-</button>
-
-<button>
- <type>MV_ADVANCED_SETUP_MENU</type>
- <text>Advanced settings</text>
- <action>EXEC mythinstall -s advanced</action>
-</button>
-
-
-<button>
- <type>MV_AUDIO_SETUP_MENU</type>
- <text>Audio settings</text>
- <action>EXEC mythinstall -s sound </action>
-</button>
-
-
-<button>
- <type>MV_ACCESS_SETUP_MENU</type>
- <text>Access</text>
- <action>EXEC mythinstall -s accesscontrol </action>
-</button>
-
-<button>
- <type>MV_USER_SETUP_MENU</type>
- <text>Password </text>
- <action>EXEC mythinstall -s user </action>
-</button>
+ <button>
+ <type>MV_ADVANCED_SETUP_MENU</type>
+ <text>Advanced Settings</text>
+ <action>EXEC mythinstall -s advanced</action>
+ </button>
-<button>
- <type>MV_WEBACCESS_SETUP_MENU</type>
- <text>Web security</text>
- <action>EXEC mythinstall -s webuser </action>
-</button>
+ <button>
+ <type>MV_AUDIO_SETUP_MENU</type>
+ <text>Audio Settings</text>
+ <action>EXEC mythinstall -s sound </action>
+ </button>
+ <button>
+ <type>MV_ACCESS_SETUP_MENU</type>
+ <text>Access Control</text>
+ <action>EXEC mythinstall -s accesscontrol </action>
+ </button>
+ <button>
+ <type>MV_USER_SETUP_MENU</type>
+ <text>User Accounts</text>
+ <action>EXEC mythinstall -s user </action>
+ </button>
+ <button>
+ <type>MV_WEBACCESS_SETUP_MENU</type>
+ <text>Web Security</text>
+ <action>EXEC mythinstall -s webuser </action>
+ </button>
<!--
<button>
- <type>SETUP_MENU</type>
- <text>Settings profile manager</text>
- <action>EXEC mythinstall -t </action>
-
+ <type>SETUP_MENU</type>
+ <text>Settings Profile Manager</text>
+ <action>EXEC mythinstall -t </action>
</button>
-->
-
-
-
</mythmenu>
diff --git a/abs/core-testing/python-parted/PKGBUILD b/abs/core-testing/python-parted/PKGBUILD
new file mode 100644
index 0000000..8d2ef38
--- /dev/null
+++ b/abs/core-testing/python-parted/PKGBUILD
@@ -0,0 +1,18 @@
+pkgname=python-parted
+__pkgname=pyparted
+pkgver=2.0.12
+pkgrel=1
+pkgdesc="Python bindings for libparted"
+arch=(i686 x86_64)
+license=('LGPL' 'MPL')
+depends=('python' 'parted')
+options=('!libtool')
+source=(https://fedorahosted.org/releases/p/y/pyparted/pyparted-${pkgver}.tar.gz)
+url="https://fedorahosted.org/pyparted/"
+
+build() {
+ cd "${srcdir}/${__pkgname}-${pkgver}"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+}